form(nz-form, [formGroup]="form", nzLayout="vertical", (ngSubmit)="onSave()")
  nz-form-item
    nz-form-label(nzFor="name", [nzRequired]="true")
      span
        | Name
        i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="nameHelpTemplate", nzType="question-circle", theme="outline")
    nz-form-control(nzHasFeedback, [nzErrorTip]="nameErrorTemplate")
      input(nz-input, id="name", formControlName="name", placeholder="Enter workflow name")

  nz-form-item
    nz-form-label(nzFor="description", [nzRequired]="false")
      span
        | Description
        i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="descriptionHelpTemplate", nzType="question-circle", theme="outline")
    nz-form-control
      textarea(nz-input, [nzAutosize]="{ minRows: 2, maxRows: 8 }", id="description", formControlName="description", placeholder="Workflow description")

  nz-form-item.right
    nz-form-control
      button.mr1(nz-button, type="button", (click)="onCancel()") Cancel
      button.mr1(nz-button, nzType="primary", type="submit", [disabled]="form.invalid") Save

ng-template(#nameHelpTemplate)
  ng-container Specify the function name

ng-template(#descriptionHelpTemplate)
  ng-container Specify workflow description

ng-template(#nameErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Name is required

ng-template(#ownerErrorTemplate, let-control)
  ng-container(*ngIf="control.hasError('required')") Owner is required
